Apache C++ Standard Library Reference Guide

## bad_cast

Library: Language support

    bad_cast  exception

- Local Index
- Summary
- Synopsis
- Description
- Interface
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

An exception class

### Synopsis

    #include <typeinfo>

### Description

Objects of class bad_cast are thrown when a dynamic cast fails, or if the client attempts to use a nonexistent or noninitialized locale facet. The class is derived from exception, and thrown by a dynamic cast, locale, and others.

### Interface

    namespace std {
      class bad_cast : public exception {
      public:
        bad_cast() throw();
        bad_cast(const bad_cast&) throw();
        bad_cast& operator=(const bad_cast&) throw();
        virtual ~bad_cast() throw();
        virtual const char* what() const throw();
      };
    }

### See Also

Exceptions, bad_alloc, bad_exception, bad_typeid, domain_error, exception, invalid_argument, ios_base::failure, length_error, logic_error, out_of_range, overflow_error, range_error, runtime_error, underflow_error

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 18.5.2